local toasty;

   toasty = "charmy";

local init = cmd(horizalign,left;vertalign,bottom;x,SCREEN_WIDTH;y,SCREEN_HEIGHT);
local on = cmd(decelerate,0.3;x,SCREEN_WIDTH*0.73125;sleep,1.0;accelerate,0.3;x,SCREEN_WIDTH);

local ToastyCommands = {
   charmy = {
      InitCmd = init,
      OnCmd = on
   },
   
   snorlax = {
      InitCmd = cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-512;zoom,2;draworder,9999),
      OnCmd = cmd(sleep,2.5;linear,1.25;addy,2048)
   }
};

local t = Def.ActorFrame{
   LoadActor( THEME:GetPathG("","_toasty/"..toasty) ) ..{
      InitCommand=ToastyCommands[toasty].InitCmd;
      OnCommand=ToastyCommands[toasty].OnCmd;
   };
   LoadActor( THEME:GetPathS("_toasty",toasty) ) ..{
      StartTransitioningCommand=cmd(play);
   };
};

return t;
